function [legn, vvf, vinff, PF, COSTS, TOFYS, minCOST, row] = costFunction2_MODP_onlyDef(legn, vvf, vinff, vdep, varr, sigma, impvarr)

% --> compute the objectives of the optimization
vinfd  = legn(:,3);
dv1    = (vinfd - vdep).*(vinfd - vdep >= 0);
dv2    = impvarr*abs( varr -  vinff );
tofs   = (legn(:,end) - legn(:,2));

dvtot = sum( [ dv1 legn(:,6:3:end-2) dv2 ] , 2);
COSTS = dvtot + sigma.*tofs;
TOFYS = (legn(:,end) - legn(:,2))./365.25;

% --> put them into the cost matrix
COSTmatrix = [ TOFYS COSTS ];

% --> compute the Pareto front
PF = paretoFront_MODP( COSTmatrix );

% --> save only those on Pareto front
rows  = PF(:,3);        % --> legs on Pareto front
legn  = legn(rows,:);
vvf   = vvf(rows,:);
vinff = vinff(rows,:);

% --> find min. DV solution
[minCOST, row] = min(COSTS); % --> min. DV leg

end