function [LEGSn, VASn, VINFn] = wrapConstructionResonance_DP(LEGSnext, VASnext, VINFnext, legs, res, indl, tolINCL, parallel)

pl2 = legs(indl,2);
[LEGSnext, VASnext, VINFnext] = checkResonance_DP(LEGSnext, VASnext, VINFnext, pl2, res, parallel);
if isempty(LEGSnext) % --> if the resonance is not achievable, then end
    LEGSn = [];
    VASn  = [];
    VINFn = [];
    return
end

STRUC = struct('LEGSn', [], 'VASn', [], 'VINFn', []);

if parallel == true
    
    parfor indl = 1:size(LEGSnext,1)
   
        legp  = LEGSnext(indl,:);
        vasp  = VASnext(indl,:);
        vinfp = VINFnext(indl,:);

        [legn, vasn, vinfn] = constructResonantOrbits_DP(legp, vasp, vinfp, pl2, res, tolINCL);

        STRUC(indl).LEGSn = legn;
        STRUC(indl).VASn  = vasn;
        STRUC(indl).VINFn = vinfn;
    
    end
    
else

    for indl = 1:size(LEGSnext,1)

        legp  = LEGSnext(indl,:);
        vasp  = VASnext(indl,:);
        vinfp = VINFnext(indl,:);

        [legn, vasn, vinfn] = constructResonantOrbits_DP(legp, vasp, vinfp, pl2, res, tolINCL);

        STRUC(indl).LEGSn = legn;
        STRUC(indl).VASn  = vasn;
        STRUC(indl).VINFn = vinfn;

    end

end

hasNone        = cellfun(@isempty,{STRUC.LEGSn});
STRUC(hasNone) = [];

LEGSn = cell2mat({STRUC.LEGSn}');
VASn  = cell2mat({STRUC.VASn}');
VINFn = cell2mat({STRUC.VINFn}');


end