function [LEGS] = firstLeg_back(t0, legsf, Nrev, vinfArrLim, tstep, TOF_LIM)

mu     = 132724487690;

pl2    = legsf(1,1);
pl1    = legsf(1,2);

tofs   = TOF_per_LEGS_ASTRA(pl1, pl2, Nrev, tstep, TOF_LIM, 1);

t2  = t0;        % --> this is a scalar
tt1 = t2 - tofs; % --> this is a vector

[rr2, vv2] = EphSS_car(pl2, t2); % --> second planet

LEGS = zeros( length(tt1) , 20);
for indt = 1:length(tt1)
   
    [rr1, ~] = EphSS_car(pl1, tt1(indt));                                         % --> first planet
    [vi, vf]   = lambertMR(rr1, rr2, (t2 - tt1(indt))*86400, mu, Nrev(1), Nrev(2)); % --> solve the Lambert problem

    vinfa = norm(vf - vv2);
    
    if vinfa >= vinfArrLim(1) && vinfa <= vinfArrLim(2)
        LEGS(indt,:) = [rr1 [NaN NaN NaN] pl1 tt1(indt) NaN NaN ...
                        rr2      vi       pl2   t2      vinfa NaN];
    end
    
end
LEGS = LEGS(~all(LEGS == 0, 2),:);


end