function [LEGS] = prune_VINF(LEGS, vinflim, indleg)

% The vinf limit is applied at the second planet of the given leg.
% This means that on an E-V-M transfer, one has two legs:
% 1) E-V on which the vinflim is applied on V
% 2) V-M on which the vinflim is applied on M

if ~isempty(LEGS)
    if ~isempty(vinflim)
        LEGS = LEGS(LEGS(:,end-1) >= vinflim(indleg,3) & LEGS(:,end-1) <= vinflim(indleg,4),:);
    end
end

end