function [fig] = plotPLTS_tt(pl, t0, tend, holdon)

if nargin == 3 % --> open a new figure
    fig = figure('Color', [1 1 1]);
else
    if holdon == 0 % --> hold on with the current figure
        fig = figure('Color', [1 1 1]);
    else
        fig = gcf;
    end
end

tt = t0:2:tend;
AU = 149597870.7;

axis equal; grid on;
xlabel('x - AU'); ylabel('y - AU'); zlabel('z - AU');

for indi = 1:length(pl)
    
    rrpl = zeros(length(tt), 3);
    vvpl = zeros(length(tt), 3);
    for indt = 1:length(tt)
        [rrpl(indt,:), vvpl(indt,:)] = EphSS_cartesian(pl(indi), tt(indt));
    end
    
    hold on;
    plot3(rrpl(:,1)./AU, rrpl(:,2)./AU, rrpl(:,3)./AU,...
        'k', 'linewidth', 0.5, 'HandleVisibility', 'Off');
    
end

plot3(0, 0, 0,...
    'o', 'MarkerSize', 12, 'MarkerEdgeColor', 'Black', 'MarkerFaceColor', 'Yellow', 'HandleVisibility', 'Off');

end