function fig = plotPareto(paretofront, holdon, marker, color, name)

if nargin == 1 % --> new figure
    fig = figure( 'Color', [1 1 1] );
    hold on; grid on;
    xlabel('Time of flight - years'); ylabel('\Deltav - km/s');
    plot(paretofront(:,1), paretofront(:,2), 'o', 'MarkerEdgeColor', 'Black', 'MarkerFaceColor', 'Red', 'HandleVisibility', 'Off');
elseif nargin == 2 % --> same figure
    if holdon == 1
    else
        fig = figure( 'Color', [1 1 1] );
    end
    hold on; grid on;
    xlabel('Time of flight - years'); ylabel('\Deltav - km/s');
    plot(paretofront(:,1), paretofront(:,2), 'o', 'MarkerEdgeColor', 'Black', 'MarkerFaceColor', 'Green', 'HandleVisibility', 'Off');
elseif nargin == 3
    if holdon == 1
    else
        fig = figure( 'Color', [1 1 1] );
    end
    hold on; grid on;
    xlabel('Time of flight - years'); ylabel('\Deltav - km/s');
    plot(paretofront(:,1), paretofront(:,2), marker, 'MarkerEdgeColor', 'Black', 'MarkerFaceColor', 'Green', 'HandleVisibility', 'Off');
elseif nargin == 4
    if holdon == 1
    else
        fig = figure( 'Color', [1 1 1] );
    end
    hold on; grid on;
    xlabel('Time of flight - years'); ylabel('\Deltav - km/s');
    plot(paretofront(:,1), paretofront(:,2), marker, 'MarkerEdgeColor', 'Black', 'MarkerFaceColor', color, 'HandleVisibility', 'Off');
    legend;
    legend('Location', 'Best');
elseif nargin == 5
    if holdon == 1
    else
        fig = figure( 'Color', [1 1 1] );
    end
    hold on; grid on;
    xlabel('Time of flight - years'); ylabel('\Deltav - km/s');
    plot(paretofront(:,1), paretofront(:,2), marker, 'MarkerEdgeColor', 'Black', 'MarkerFaceColor', color, 'DisplayName', name);
    legend;
    legend('Location', 'Best');
end

end