function [lat, long] = SC_LAT_LONG(YY)

% --> compute the longitude of the SC
long = wrapTo2Pi(atan2( YY(:,2), YY(:,1) ));

% --> compute the latitude of the SC
zvec  = [0 0 1];
rsc   = YY(:,1:3);
alpha = zeros(size(YY,1),1);
lat   = zeros(size(YY,1),1);
for ind = 1:size(YY,1)
    alpha(ind,1) = acos( dot(zvec, rsc(ind,:))/(norm(zvec)*norm(rsc(ind,:))) );
    lat(ind,1)   = pi/2 - alpha(ind,1); 
end

end