function [groups_40, groups_50, groups_60, groups_70] = loadSolutions(nsols, FolderToAdd)

SEQS_40 = [];
SEQS_50 = [];
SEQS_60 = [];
SEQS_70 = [];

disp('Loading the solutions...');
for indi = 1:nsols
    
    title = ['\LEGS_ (' num2str(indi) ').mat'];
    load([FolderToAdd title]);
        
    if size(LEGSnext, 2) == 40
        SEQS_40 = [SEQS_40; LEGSnext];
    elseif size(LEGSnext, 2) == 50
        SEQS_50 = [SEQS_50; LEGSnext];
    elseif size(LEGSnext, 2) == 60
        SEQS_60 = [SEQS_60; LEGSnext];
    elseif size(LEGSnext, 2) == 70
        SEQS_70 = [SEQS_70; LEGSnext];
    end
    
end
disp('Done!!!');

%%%% group sequences sharing the same planets %%%%
try
    [~, ~, ic] = unique( SEQS_40(:,7:10:end-3), 'rows' ) ;
    groups_40  = splitapply( @(x){x}, SEQS_40, ic ) ;
catch
    groups_40 = [];
end

try
    [~, ~, ic] = unique( SEQS_50(:,7:10:end-3), 'rows' ) ;
    groups_50  = splitapply( @(x){x}, SEQS_50, ic ) ;
catch
    groups_50 = [];
end


try
    [~, ~, ic] = unique( SEQS_60(:,7:10:end-3), 'rows' ) ;
    groups_60  = splitapply( @(x){x}, SEQS_60, ic ) ;
catch
    groups_60 = [];
end

try
    [~, ~, ic] = unique( SEQS_70(:,7:10:end-3), 'rows' ) ;
    groups_70  = splitapply( @(x){x}, SEQS_70, ic ) ;
catch
    groups_70 = [];
end
%%%% END : group sequences sharing the same planets %%%%


end