function [TT, YY, Tfb, dv] = pathASTRA2TTyy(path)

mu = 132724487690;

dv  = [path(1,9); path(:,10)];
Tfb = path(:,8);
DTS = [0; diff(Tfb)];

% --> make trajectory
YY = []; TT = [];
for NLEG = 2:size(path,1)
    
    RR  = path(NLEG, 1:3);
    VV  = path(NLEG, 4:6);
    
    [rr1, vv1] = FGKepler_dt(car2kep([RR VV], mu), -DTS(NLEG)*86400, mu); % backward propagation
    tt         = [0:1*86400:DTS(NLEG)*86400]';
    [~,yy]     = propagateKepler(rr1, vv1, tt, mu); % forward propagation
        
    YY = [YY; yy];
    if NLEG == 2
        TT = [TT; ((tt))];
    else
        TT = [TT; TT(end)+((tt))];
    end
    
end
TT = Tfb(1) + TT./86400;

end