function [LEGS, MMAT, kepin, kepou] = pruneResonances(LEGS, MMAT, runOpts, indleg)

mu = 132724487690;

nrevprec = runOpts(indleg-1,:);
if nrevprec(3) ~= 0 % --> you constructed resonances on the leg before
    delta       = zeros(size(MMAT,1),1);
    deltaMax    = zeros(size(MMAT,1),1);
    ind_to_save = zeros(size(MMAT,1),1);
    kepin       = zeros(size(MMAT,1),6);
    kepou       = zeros(size(MMAT,1),6);
    for indm = 1:size(MMAT,1)

        rrin = MMAT(indm,9:11);
        vvin = MMAT(indm,12:14);
        plin = MMAT(indm,15);
        tin  = MMAT(indm,16);
        rrou = LEGS(indm,11:13);
        vvou = LEGS(indm,14:16);

        kepin(indm,:) = car2kep([rrin, vvin], mu);
        kepou(indm,:) = car2kep([rrou, vvou], mu);

        [~,vvga]  = EphSS_car(plin, tin);

        vvinfin = vvin - vvga;
        vvinfou = vvou - vvga;

        delta(indm,:) = acos(dot(vvinfin,vvinfou)/(norm(vvinfin)*norm(vvinfou)));
        [~, ~, deltaMax(indm,:)] = find_DV_defect(vvinfin, vvinfou, plin);

        if delta(indm,:) <= deltaMax(indm,:)
            ind_to_save(indm,:) = indm;
        end

    end

    % --> prune those exceeding the deltaMax
    ind_to_save = ind_to_save(~all(ind_to_save == 0, 2),:);
    MMAT  = MMAT(ind_to_save,:);
    LEGS  = LEGS(ind_to_save,:);
    kepin = kepin(ind_to_save,:);
    kepou = kepou(ind_to_save,:);
    
%     % --> prune those exceeding the Dincl    
%     DINCL  = abs(kepin(:,3) - kepou(:,3));
%     rowmat = find(DINCL <= deg2rad(5));
%     t1    = sortrows([LEGS(:,8) [1:size(LEGS(:,8),1)]'],1);
%     LEGS  = LEGS(t1(:,2),:);
%     MMAT  = MMAT(t1(:,2),:);
%     kepin = kepin(t1(:,2),:);
%     kepou = kepou(t1(:,2),:);
%     t1    = sortrows([LEGS(:,8) [1:size(LEGS(:,8),1)]'],1);
%     DINCL = abs(kepin(:,3) - kepou(:,3));
%     t1_DIN = [t1 DINCL];
%     t1_DIN    = sortrows(t1_DIN,[1 3]);
%     t1u   = unique(t1_DIN(:,1),'stable');
%     rowmat = zeros(length(t1u),1);
%     for indt1 = 1:length(t1u)
%         indxs           = find(t1_DIN == t1u(indt1));
%         rowmat(indt1,:) = t1_DIN(indxs(1),2);
%     end
%     MMAT  = MMAT(rowmat,:);
%     LEGS  = LEGS(rowmat,:);
%     kepin = kepin(rowmat,:);
%     kepou = kepou(rowmat,:);
    
end

end