function [list] = resList_SS(pl)

% DESCRIPTION :
% for each of the Solar System planets, select the list of available
% resonances. First column is for N (planet revolutions), second column is
% for M (spacecraft revolutions)
%
% INPUT :
% pl : planet ID
% 
% OUTPUT : 
% list : matrix containing the following information:
%        - list(:,1) : N (planet revolutions)
%        - list(:,2) : M (spacecraft revolutions)
%
% -------------------------------------------------------------------------

if pl == 1     % --> MERCURY
    list = [[1 1]; [6 5]; [5 4]; [4 3]; [3 2]];
elseif pl == 2 % --> VENUS
    list = [[1 1]; [2 1]; [3 4]; [2 3]; [1 2]];
elseif pl == 3 % --> EARTH
    list = [[1 1]; [2 1]; [3 1]; [3 2]; [2 3]];
elseif pl == 4 % --> MARS
    list = [[1 1]; [2 1]; [3 1]];
elseif pl == 5 % --> JUPITER
    list = [];
elseif pl == 6 % --> SATURN
    list = [];
elseif pl == 7 % --> URANUS
    list = [];
elseif pl == 8 % --> NEPTUNE
    list = [];
elseif pl == 9 % --> PLUTO
    list = [];
end

end