function [RES] = resonancesAvailable(IDS)

% DESCRIPTION :
% this function generates a matrix with all the available resonances per
% planet considered.
%
% INPUT :
% - IDS : IDs of the available planets to flyby
% 
% OUTPUT :
% - RES : matrix containing the following information : 
%       - RES(:,1) : planet
%       - RES(:,2) : un-used --> NaN
%       - RES(:,3) : un-used --> NaN
%       - RES(:,4) : N (planet revolutions)
%       - RES(:,5) : M (spacecraft revolutions)
%
% -------------------------------------------------------------------------


RES = [];
for indpl = 1:length(IDS)
   
    pl = IDS(indpl);
    [list] = resList_SS(pl);
    RES = [RES; [pl.*ones(size(list,1),1) NaN.*ones(size(list,1),2) list]];
    
end


end