function [MAT, INCL] = wrapResonance_Back(pl, res, tpl, dincMax, vinfMin, vinfMax)

if nargin == 3
    dincMax = Inf;
    vinfMin = 1;
    vinfMax = 30;
elseif nargin == 4
    vinfMin = 1;
    vinfMax = 30;
end

vinf_lev = vinfMin:0.1:vinfMax;

MAT  = zeros(1e6, 14);
INCL = zeros(1e6, 1);
ind  = 1;
for indv = 1:length(vinf_lev)
        
    % --> infinity velocity
    vInf = vinf_lev(indv);
    
    % --> construct resonance orbits for the given vinfinity
    [mat, incl] = constructResonances_Vinf(pl, vInf, res, tpl, dincMax);
    
    MAT(ind:ind-1+size(mat,1),:)  = mat;
    INCL(ind:ind-1+size(mat,1),:) = incl;
    
    ind = ind + size(mat,1);
    
end
indxs         = find(MAT(:,1) == 0);
MAT(indxs,:)  = [];
INCL(indxs,:) = [];

end