function [RUN_OPTIONS] = runningOptionsPerSeq(seq, RES)

% DESCRIPTION : 
% for a given sequence, select all the running options

legs = [seq(1:end-1)' seq(2:end)' zeros(length(seq)-1,1)];

% --> 1) CHECK IF THERE ARE RESONANCES OR NOT
diff_s = diff(seq);
indxs  = find(diff_s == 0); % --> legs on which the resonances occurr
ind_no_res = find(diff_s ~= 0);
if isempty(indxs) % --> then there are not resonances
    RUN_OPTIONS.SEQ = seq;
    RUN_OPTIONS.RES = zeros(length(seq)-1,3);
else % --> there are resonances
    
    % --> planets interested by the resonances
    plts = legs( indxs ,1);
    plts = unique(plts);
    
    % --> resonances for the planets
    res = [];
    for indplts = 1:length(plts)
        r  = unique(RES( RES(:,1) == plts(indplts) , 4:5 ), 'rows', 'stable');
        res = [res; r];
    end
    NUM  = fromREStoNum(res);
    opts = [0 NUM'];

    % --> find all possible sequences
    M  = permn(opts, size(legs,1));

    % --> nelle leg con res, elimina gli zeri
    for indm = 1:length(indxs)
       legM = M(:,indxs(indm));
       M(legM == 0,:) = [];
    end
    
    % --> nelle leg senza res, elimina i numeri
    for indm = 1:length(ind_no_res)
       legM = M(:,ind_no_res(indm));
       M(legM ~= 0,:) = [];
    end
    
    % --> ora, per ogni leg con res, e per ogni option, verifica che quella res sia effettivamente available
    indexdel = 1;
    row_to_del = [];
    for indm = 1:length(indxs)
        legM = M(:, indxs(indm));
        pl   = legs(indxs(indm),1);
        r    = unique(RES( RES(:,1) == pl , 4:5 ), 'rows', 'stable');
        NUM  = fromREStoNum(r);
        for ind = 1:size(legM,1)
            res = legM(ind);
            if isempty(find(NUM == res))
                row_to_del(indexdel,:) = ind;
                indexdel = indexdel + 1;
            end
        end
    end
    row_to_del = unique(row_to_del);
    M(row_to_del,:) = [];
    
    M = unique(M, 'rows', 'stable');
    
    RUN_OPTIONS(1:size(M,1),:) = struct('SEQ', [], 'RES', []); % --> pre-allocate memory for structure
    for indm = 1:size(M,1)
        RUN_OPTIONS(indm).SEQ = seq;
        
        opts = M(indm,:);
        mat_o = zeros(length(opts),3);
        for indo = 1:length(opts)
            if opts(indo) ~= 0
                [res_o] = fromNUMtoRES(opts(indo));
                mat_o(indo,:) = [res_o indo];
            end
        end
        RUN_OPTIONS(indm).RES = mat_o;
    end
    
    
end

end