/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 * File: findDV.c
 *
 * MATLAB Coder version            : 5.3
 * C/C++ source code generated on  : 22-Feb-2022 10:04:17
 */

/* Include Files */
#include "findDV.h"
#include "rt_nonfinite.h"
#include "wrapToPi.h"
#include <math.h>

/* Function Definitions */
/*
 * vvrel_A : approach infinity velocity
 *  vvrel_D : departing infinity velocity
 *  muPL    : planet gravitational constant
 *  rpmin   : minimum flyby radius
 *
 * Arguments    : const double vvrel_A[3]
 *                const double vvrel_D[3]
 *                double muPL
 *                double rpmin
 *                double *dv
 *                double *alpha
 *                double *alpha_A
 * Return Type  : void
 */
void findDV(const double vvrel_A[3], const double vvrel_D[3], double muPL,
            double rpmin, double *dv, double *alpha, double *alpha_A)
{
  double absxk;
  double alpha_tmp;
  double b_alpha_tmp;
  double b_scale;
  double scale;
  double t;
  scale = 3.3121686421112381E-170;
  b_scale = 3.3121686421112381E-170;
  absxk = fabs(vvrel_A[0]);
  if (absxk > 3.3121686421112381E-170) {
    alpha_tmp = 1.0;
    scale = absxk;
  } else {
    t = absxk / 3.3121686421112381E-170;
    alpha_tmp = t * t;
  }
  absxk = fabs(vvrel_D[0]);
  if (absxk > 3.3121686421112381E-170) {
    b_alpha_tmp = 1.0;
    b_scale = absxk;
  } else {
    t = absxk / 3.3121686421112381E-170;
    b_alpha_tmp = t * t;
  }
  absxk = fabs(vvrel_A[1]);
  if (absxk > scale) {
    t = scale / absxk;
    alpha_tmp = alpha_tmp * t * t + 1.0;
    scale = absxk;
  } else {
    t = absxk / scale;
    alpha_tmp += t * t;
  }
  absxk = fabs(vvrel_D[1]);
  if (absxk > b_scale) {
    t = b_scale / absxk;
    b_alpha_tmp = b_alpha_tmp * t * t + 1.0;
    b_scale = absxk;
  } else {
    t = absxk / b_scale;
    b_alpha_tmp += t * t;
  }
  absxk = fabs(vvrel_A[2]);
  if (absxk > scale) {
    t = scale / absxk;
    alpha_tmp = alpha_tmp * t * t + 1.0;
    scale = absxk;
  } else {
    t = absxk / scale;
    alpha_tmp += t * t;
  }
  absxk = fabs(vvrel_D[2]);
  if (absxk > b_scale) {
    t = b_scale / absxk;
    b_alpha_tmp = b_alpha_tmp * t * t + 1.0;
    b_scale = absxk;
  } else {
    t = absxk / b_scale;
    b_alpha_tmp += t * t;
  }
  alpha_tmp = scale * sqrt(alpha_tmp);
  b_alpha_tmp = b_scale * sqrt(b_alpha_tmp);
  /*  turning angle */
  /*  max. deflection hyperbola eccentricity */
  /*  max. deflection turning angle */
  *alpha = acos(((vvrel_A[0] * vvrel_D[0] + vvrel_A[1] * vvrel_D[1]) +
                 vvrel_A[2] * vvrel_D[2]) /
                (alpha_tmp * b_alpha_tmp));
  wrapToPi(alpha);
  *alpha_A = 2.0 * asin(1.0 / (rpmin * (alpha_tmp * alpha_tmp) / muPL + 1.0));
  wrapToPi(alpha_A);
  /*  --> compute the DV */
  if (*alpha <= *alpha_A) {
    *dv = fabs(b_alpha_tmp - alpha_tmp);
  } else {
    *dv = sqrt((alpha_tmp * alpha_tmp + b_alpha_tmp * b_alpha_tmp) -
               2.0 * alpha_tmp * b_alpha_tmp * cos(*alpha_A - *alpha));
  }
}

/*
 * File trailer for findDV.c
 *
 * [EOF]
 */
