function [VI,VF] = lambertMR(rr1, rr2, TOF, mu, Nrev, Ncase)

if Nrev == 0 % --> ZERO REVOLUTIONS
    
    [VI,VF] = lambert_ZeroRevs(rr1, rr2, TOF, mu);
    
else % --> MULTI-REVOLUTIONS
    
    if Ncase == 0
        m = -Nrev;
    else
        m = Nrev;
    end
    
    % --> check if MR are available (...)

    % --> SOLVE MULTI-REVOLUTIONS LAMBERT PROBLEM
    try
        [VI,VF] = lambert(rr1, rr2, TOF, m, mu);
    catch
        [~,~,~,~,VI,VF] = lambertMR_CER(rr1, rr2, TOF, mu, 0, Nrev, Ncase);
    end
    
end

end
