function [path, maxincoud, tt, yy] = extractPATH_flyby_maxIncl(MSSTRUC, indms, inds)

LEGS_N = MSSTRUC(indms).STRUC(inds).LEGS;

vdep = 0;
REVS = zeros(size(LEGS_N,1), size(LEGS_N,2));

% --> perform the fly-by
STRUC = struct('indl', [], 'tDEP', [], 'tIN', [], 'epochs', [], 'KEPOU', [], ...
            'incOU_deg', [], 'rpin', [], 'kin', [], 'incOUdegM', [], 'kinM', [], 'rpinM', [], ...
            'kepOUM', [], 'revs', [], 'totCost', []);
parfor indl = 1:size(LEGS_N,1)
    tic
    STRUC(indl) = wrap_FB(LEGS_N, REVS, vdep, indl);
    toc
end
kepOU            = cell2mat({STRUC.kepOUM}');
incoud           = [STRUC.incOUdegM]';
[maxincoud, row] = max(incoud);
indl             = STRUC(row).indl;

% --> path unitl the last planetary flyby
path     = constructPath(LEGS_N(indl,:));
kepin    = car2kep( path(end,1:6), astroConstants(4) );

% --> path after the last planetary encounter
kepou = kepOU(row,:);
carou = kep2car(kepou, astroConstants(4));
rrou  = carou(1:3);
vvou  = carou(4:6);

Tou      = 2*pi*sqrt((kepou(1))^3/astroConstants(4));
tt       = linspace(0, Tou);
[tt, yy] = propagateKepler(rrou, vvou, tt, astroConstants(4));

end
