function [STRUC] = wrap_COMB_RES(indm, LEGS_next, resindeces, RES, plT, tolINCL, minMax, parallel)

% --> check the INPUT
if nargin == 5
    tolINCL  = deg2rad(1);
    minMax   = 1; % --> save the min(DINCL)
    parallel = 0;
elseif nargin == 6
    minMax   = 1;
    parallel = 0;
elseif nargin == 7
    parallel = 0;
end

maxIncD = NaN.*ones(length(resindeces),1);
for indres = 1:length(resindeces)
    
    res     = RES(resindeces(indres),:);
    LEGS_N  = wrapConstructionResonance(LEGS_next, res, plT, tolINCL, minMax, parallel);

    if isempty(LEGS_N) % --> no resonances available
        maxIncD(indres) = NaN;
        break
    else
        LEGS_next       = LEGS_N;
        kep             = legs2kep(LEGS_next);
        maxIncD(indres) = max( rad2deg(kep(:,3)) );
        maxIncD(indres);
    end

end

maxIncD(isnan(maxIncD)) = [];

kep      = legs2kep(LEGS_next);
[~, row] = max( rad2deg(kep(:,3)) );
leg      = LEGS_next(row,:);

% --> save the structure
STRUC.indm        = indm;
STRUC.LEGS        = LEGS_next;
STRUC.maxIncD     = maxIncD;
STRUC.TOFyMaxIncD = (leg(end-2) - leg(8))./365.25;
STRUC.legMaxIncD  = leg;

end
