
clearDeleteAdd; % --> !!! ONLY CALL IT ONCE !!!

%%

try clear INPUT; catch; end; clc;

% --> sequence to be optimized
seq = [ 3 2 3 3 5 ]; res = [ 2 1 3 ];

%%%%%%%%%% multi-rev. options %%%%%%%%%%
maxrev                        = 0;                                         % --> max. number of revolutions (round number)
chosenRevs                    = differentRuns_v2(seq, maxrev);             % --> generate successive runs
[INPUT.chosenRevs, INPUT.res] = processResonances(chosenRevs, res);        % --> process the resonances options
[INPUT.chosenRevs]            = maxRevOuterPlanets(seq, INPUT.chosenRevs); % --> only zero revs. on outer planets
%%%%%%%%%% multi-rev. options %%%%%%%%%%

%%%%%%%%%% set departing options %%%%%%%%%%
t0 = date2mjd2000([1989 1 1 0 0 0]); % --> initial date range (MJD2000)
tf = t0 + 1*365.25;                  % --> final date range (MJD2000)
dt = 3;                              % --> step size (days)
INPUT.depOpts = [t0 tf dt];
%%%%%%%%%% set departing options %%%%%%%%%%

%%%%%%%%%% set options %%%%%%%%%%
INPUT.opt      = 1;          % --> (1) is for SODP, (2) is for MODP
INPUT.vInfOpts = [3 5];      % --> max/min departing infinity velocities (km/s)
INPUT.dsmOpts  = [2 Inf];    % --> max defect DSM, and total DSMs (km/s)
INPUT.plot     = [1 1];      % --> plot(1) for Pareto front, plot(2) for best traj.
INPUT.parallel = false;       % --> put true for parallel, false otherwise
INPUT.tstep    = dt;
%%%%%%%%%% set options %%%%%%%%%%

%% --> optimize using ASTRA

OUTPUT = ASTRA_DP(seq, INPUT);

%% --> extract desired path and plot

% --> extract path from Pareto front
[path, revs, res] = pathfromPF(OUTPUT, size(OUTPUT.ovPF,1));

% --> plot the path
plotPath(path);

% --> save the output
generateOutputTXT(path, '.\');

%% --> refine using ASTRA

INPUT.t0days    = 10;
INPUT.tofdays   = 15;
INPUT.dt        = 0.5;
INPUT.revs      = revs;
INPUT.res       = res;
OUTPUTref       = refineUsingASTRApath(path, INPUT);
